[ Нові повідомлення · Учасники · Правила форуму · Пошук · RSS ]
Сторінка 1 з 212»
Модератор форуму: Kruglikov 
Форум » Операційні системи » Все про Linux » К новому учебному году - новая сборка ALT Linux для школ
К новому учебному году - новая сборка ALT Linux для школ
KruglikovДата: Пятница, 28.08.2009, 09:09 | Повідомлення # 1
Лейтенант
Група: Модераторы
Повідомлень: 46
Репутація: 1
Статус: Оффлайн
Доступна для скачивания предварительная (beta) версия школьного дистрибутива.
Это еще не окончательный вариант, но уже близко к стабильному.

Три варианта:
* ALT Linux 5.0.0 Lite (XFCE)
* ALT Linux 5.0.0 Junior (GNOME)
* ALT Linux 5.0.0 Master (KDE4)

Подробности:
* Ядро 2.6.30
* OpenOffice.org 3.1.0.6
* XFCE 4.6.1 (ALT Linux 5.0.0 Lite)
* GNOME 2.26 (ALT Linux 5.0.0 Junior)
* KDE 4.3.0 (ALT Linux 5.0.0 Master)
* GIMP 2.6.7
* Scribus 1.3.5.1
* Inkscape 0.47

Информация:
http://www.altlinux.org/Альт_Линукс_Школьный

Скачать:
ftp://beta.altlinux.ru/school/2009

Я рекомендую версию Lite для большинства рабочих станций.
Для особо крутых машин версию Master.

Чем больше замечаний и пожеланий вы направите в адрес разработчиков,
тем лучше будет следующая версия.

P.S.
Несмотря на все политические дрязги,
АЛТ Линукс с благодарностью принимает и наши замечания и пожелания wink


--
Dmitriy Kruglikov
 
dogДата: Пятница, 11.09.2009, 13:21 | Повідомлення # 2
Сержант
Група: Пользователи
Повідомлень: 39
Репутація: 0
Статус: Оффлайн
1.Что считаете особо крутой машиной?
2. Будет ли возможность на обновлениях выйти на релизную версию? То есть, ставим бету, разработка идет, мы ее обновляем постепенно и потом она становится уже не бетой или нет?
Спасибо за ответ.


Bohdan Khorolets
 
KruglikovДата: Пятница, 11.09.2009, 13:48 | Повідомлення # 3
Лейтенант
Група: Модераторы
Повідомлень: 46
Репутація: 1
Статус: Оффлайн
Quote (dog)
1.Что считаете особо крутой машиной?

KDE4 весьма прожорлив ... 512М ОЗУ ему на один зуб ...
Ну и тактовая частота процессора 2Ггц и выше ...
Но даже на таких машинах я предпочитаю более легкие DE ...
Это не значить, что на более слабых машинах оно не будет работать, а уровень комфорта у каждого свой wink
Quote (dog)
2. Будет ли возможность на обновлениях выйти на релизную версию?

Была, есть и будет есть...
Репозиторий обновляется регулярно ... В один прекрасный момент на этом репозитории строится сборка.
То есть, те пакеты, которые есть на текущий момент - входят в дистрибутив.
Дальше, подключаем систему обновления и ставим то, что нужно ...
ftp://beta.altlinux.ru/ark/20090909/ - новые сборки выложены ...
Не специализированы для школ, но народ хвалит ...
Мне проверить пока не на чем ...


--
Dmitriy Kruglikov
 
dogДата: Пятница, 11.09.2009, 13:52 | Повідомлення # 4
Сержант
Група: Пользователи
Повідомлень: 39
Репутація: 0
Статус: Оффлайн
Для скачки с Украины (ua-ix)
ftp://ftp.linux.kiev.ua/pub/Linux/ALT/beta/school/2009/


Bohdan Khorolets
 
typДата: Пятница, 11.09.2009, 20:00 | Повідомлення # 5
Полковник
Група: Администраторы
Повідомлень: 153
Репутація: 3
Статус: Оффлайн
Quote (dog)
KDE4 весьма прожорлив

Mandriva 2009 KDE4 +Mozilla Firefox+Writer+Amarok2+Gimp із завантаженою фоткою на 3,8 Мб = 600Мб з гаком
 
KruglikovДата: Суббота, 12.09.2009, 14:03 | Повідомлення # 6
Лейтенант
Група: Модераторы
Повідомлень: 46
Репутація: 1
Статус: Оффлайн
Quote (typ)
Mandriva 2009 KDE4 +Mozilla Firefox+Writer+Amarok2+Gimp із завантаженою фоткою на 3,8 Мб = 600Мб з гаком

При этом - активно используется подкачка ...

У меня:
XFCE 4.6.1
Mozilla Firefox (много вкладок)
Writer
GIMP
FBReader
evince
kcalc

Менее 400М ...
И я не говорю о том, что тут же
серверные демоны крутятся ...
HTTP
LDAP
SMTP
IMAP

CPU 1,6 Celeron M, не быстрый сам по себе...
Вот и делаем выводы каждый себе ...


--
Dmitriy Kruglikov
 
typДата: Суббота, 12.09.2009, 15:04 | Повідомлення # 7
Полковник
Група: Администраторы
Повідомлень: 153
Репутація: 3
Статус: Оффлайн
Quote (Kruglikov)
При этом - активно используется подкачка ...

Забув додати, що в КДЕ встановлена прозора тема і деякі спецефекти :-) . У мене Linux Swap 256 МБ і 2 Гб оперативки. Не думаю, що активно. Процесор Athlon X2 4200+ карта GeForce 7600GS 256Mb.
 
dogДата: Воскресенье, 13.09.2009, 21:47 | Повідомлення # 8
Сержант
Група: Пользователи
Повідомлень: 39
Репутація: 0
Статус: Оффлайн
А вот такая задача. Не хочется линь переставлять, к репозиториям пятым подключится для апгрейда можно? Или все же переставлять надобно?

Bohdan Khorolets
 
KruglikovДата: Понедельник, 14.09.2009, 12:07 | Повідомлення # 9
Лейтенант
Група: Модераторы
Повідомлень: 46
Репутація: 1
Статус: Оффлайн
Quote (dog)
Не хочется линь переставлять, к репозиториям пятым подключится для апгрейда можно?

Естественно ...
Для того, чтобы получить все прелести свежего софта, можно подключиться к Сизифу...
Если не хочется, то нужно сейчас обновить apt и все, что при этом потянет,
а потом установить пакет apt-conf-platform5 ...
Еще раз сказать apt-get update, и у вас будут свежие индексы Рlatform5 ...

При этом, возможна некоторая разница между списком пакетов в Сизифе и Рlatform5.
То есть, если у вас установлены некоторые пакеты из Сизифа, но их нет в Рlatform5,
при установке каких-либо пакетов из Рlatform5 может получиться "Ой" ...
Хотя, такая ситуация может быть с любым репозиторием wink

Внимания ослаблять не нужно...


--
Dmitriy Kruglikov
 
dogДата: Понедельник, 14.09.2009, 12:59 | Повідомлення # 10
Сержант
Група: Пользователи
Повідомлень: 39
Репутація: 0
Статус: Оффлайн
То есть не подключаясь к Сизифу, обновиться невозможно...
Вот только что apt-get update сделал, поискал указанный конф пятой платформы - отсутствует. Это я к Сизифу не подключен. То есть стоит подключиться и сразу получу то что надо. Или же все таки переустановлю с диска 5 бету и вперед?
Правильно понял? smile


Bohdan Khorolets
 
KruglikovДата: Понедельник, 14.09.2009, 13:11 | Повідомлення # 11
Лейтенант
Група: Модераторы
Повідомлень: 46
Репутація: 1
Статус: Оффлайн
Quote (dog)
Правильно понял?

Нет, конечно ...
apt-conf-platform5 всего лишь пропишет ссылки на репозитории ...
Например:
# ALT Linux Platform 5
#rpm [p5] ftp://ftp.altlinux.org/pub/distributions/ALTLinux/p5/branch i586 classic
#rpm [p5] ftp://ftp.altlinux.org/pub/distributions/ALTLinux/p5/branch noarch classic

Обновить (#apt-get install rpm apt glibc) нужно на старом репозитории ...
Потом убрать # перед новыми ссылками и поставить # перед старыми ...
[p5] - проверка подписи пакетов, чтоб "левые" репозитории не напакостили в вашей системе ...
Если вы осознаете безопасность своих действий, [p5] можете удалить ...

Теперь можно повторить apt-get update ...
Ключи репозитория так же распространяются в пакете apt-conf-platform5

Если кто-то захочет добавить их вручную, то на текущий момент это

Code
simple-key "p5" {
         Fingerprint "BABE2D97B08AF87BD93B899B7AAF040E556DF34A";
         Name "ALT Linux Platform5 <platform5@altlinux.org>";
}

в файле /etc/apt/vendors.list.d/alt.list

Удачи...

P.S.
Я знаю о существовании систем, которые, будучи установленны в 2001 году,
не переустанавливались ни разу, а только обновлялись.
И сегодня они обновлены до наисвежайшего состояния ...


--
Dmitriy Kruglikov
 
dogДата: Среда, 16.09.2009, 11:29 | Повідомлення # 12
Сержант
Група: Пользователи
Повідомлень: 39
Репутація: 0
Статус: Оффлайн
В общем с момента нашего последнего разговора обновиться так и не удалось, видимо кривые руки, уничтожавшие систему всякими изощренными методами, сработали.
Поэтому я поставил заново 5 бету Мастер. Вот тут и понеслось...
Подключился к пятым бранчам, сделал apt-get update
apt-get dist-upgrade там 885 метров обновлений, была не была smile
Но какой факт постоянно мешает - в каталоге /var/cache/apt/archives появляется некое файло lock, причем не дает ничего сделать даже после su -
Есть версии?


Bohdan Khorolets
 
KruglikovДата: Среда, 16.09.2009, 12:42 | Повідомлення # 13
Лейтенант
Група: Модераторы
Повідомлень: 46
Репутація: 1
Статус: Оффлайн
Quote (dog)
в каталоге /var/cache/apt/archives появляется некое файло lock

Запущен какой-то процесс взаимодействия с RPM.
Либо acc (Центр управления системой), либо Web-интерфейс управления, либо сам rpm ...
Поможет в консоли, от рута
ps ax | more, и смотреть ...
Выйти из more - Ctrl+q


--
Dmitriy Kruglikov
 
dogДата: Среда, 16.09.2009, 13:09 | Повідомлення # 14
Сержант
Група: Пользователи
Повідомлень: 39
Репутація: 0
Статус: Оффлайн
при попытке обновиться возникают ошибки, которые советуют мне запустить
apt-get --fix-broken install
Не получается, все те же ошибки.
В общем пишет таким образом Fatal error, run database recovery


Bohdan Khorolets
 
KruglikovДата: Среда, 16.09.2009, 13:15 | Повідомлення # 15
Лейтенант
Група: Модераторы
Повідомлень: 46
Репутація: 1
Статус: Оффлайн
Quote (dog)
при попытке обновиться возникают ошибки, которые советуют мне запустить
apt-get --fix-broken install

А какие именно ошибки ?
Список "поврежденных" пакетов в студию...


--
Dmitriy Kruglikov
 
Форум » Операційні системи » Все про Linux » К новому учебному году - новая сборка ALT Linux для школ
Сторінка 1 з 212»
Пошук: